package ch.unige.solidify.security;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import org.springframework.security.access.prepost.PreAuthorize;

import ch.unige.solidify.model.RoleApplication;

@Retention(RetentionPolicy.RUNTIME)
@PreAuthorize("hasAnyAuthority('" + RoleApplication.USER_ID + "', '" + RoleApplication.ADMIN_ID
        + "', '" + RoleApplication.TRUSTED_CLIENT_ID + "', '" + RoleApplication.ROOT_ID + "')")
public @interface UserPermissions {
}
