package ch.unige.solidify.test.controller.service.rest;

import org.springframework.stereotype.Service;

import ch.unige.solidify.service.ResourceService;
import ch.unige.solidify.service.SolidifyRestClientService;
import ch.unige.solidify.test.controller.dao.MockUser;

@Service
public class MockUserResourceService extends ResourceService<MockUser> {

  public MockUserResourceService(SolidifyRestClientService restClientService) {
    super(restClientService);
  }

  @Override
  protected Class<MockUser> getResourceClass() {
    return MockUser.class;
  }

  @Override
  protected String getResourceUrl() {
    return "/";
  }
}
