package ch.unige.solidify.rest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class FacetResult implements Serializable {

  private String name;
  private String field;
  private final List<FacetResultValue> values = new ArrayList<>();

  public FacetResult() {
  }

  public FacetResult(String name) {
    this.name = name;
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getField() {
    return field;
  }

  public void setField(String field) {
    this.field = field;
  }

  public List<FacetResultValue> getValues() {
    return this.values;
  }
}
